tandemMCA_Kmeans<-function(data,c,dim=c-1){
  require("ca")
  
  outMCA=mjca(data,lambda='indicator')
  
  #### computation of the loss
  Z=as.matrix(dummy.data.frame((data)))
  
  B= t(Z)%*% Z
  P=B/sum(B)
  cm=as.vector(apply(P,1,sum))
  Dci=diag(sqrt(1/cm))
  Dcs=diag(sqrt(cm))
  
  Pt=Dci %*% (P-cm%*%t(cm)) %*% Dci
  A=outMCA$colpcoord
  B=outMCA$colcoord
  
  Pt_DcsABDcs = Pt - Dcs %*% A %*% t(B) %*% Dcs
  final_loss= sum(diag(t(Pt_DcsABDcs) %*% Pt_DcsABDcs))
#   
  out=list()
  rowPC=outMCA$rowpcoord[,1:dim]
  colPC=outMCA$colpcoord[,1:dim]
  out$obscoord=rowPC
  out$final_loss=final_loss
  out$attcoord=outMCA$colpcoord[,1:dim]
  out$expl_inertia=sum(outMCA$inertia.e[1:dim])
  outKM=kmeans(rowPC,c,nstart=10)

  out$cluID=outKM$cluster
  out$center=outKM$centers
  
  out
}